Author: A. Maitland Bottoms <bottoms@debian.org>
Description: optional static apps
 For Debian, build apps with static libs if ENABLE_STATIC_APPS.

--- a/apps/CMakeLists.txt
+++ b/apps/CMakeLists.txt
@@ -44,7 +44,7 @@
 endif()
 target_link_libraries(volk_profile PRIVATE std::filesystem)
 
-if(ENABLE_STATIC_LIBS)
+if(ENABLE_STATIC_LIBS AND ENABLE_STATIC_APPS)
     target_link_libraries(volk_profile PRIVATE volk_static)
     set_target_properties(volk_profile PROPERTIES LINK_FLAGS "-static")
 else()
@@ -61,7 +61,7 @@
 add_executable(volk-config-info volk-config-info.cc ${CMAKE_CURRENT_SOURCE_DIR}/volk_option_helpers.cc
         )
 
-if(ENABLE_STATIC_LIBS)
+if(ENABLE_STATIC_LIBS AND ENABLE_STATIC_APPS)
     target_link_libraries(volk-config-info volk_static)
     set_target_properties(volk-config-info PROPERTIES LINK_FLAGS "-static")
 else()
